Bug 841756 - httpd-dev script doesn't work on Python 2.6
httpd-dev script doesn't work on Python 2.6
Product: PulpDist
Classification: Community
Component: z_other (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nick Coghlan
Depends On:
  Show dependency treegraph
Reported: 2012-07-20 04:02 EDT by Nick Coghlan
Modified: 2016-09-28 23:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-09-28 23:04:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2012-07-20 04:02:34 EDT
The current httpd-dev script (for running a source checkout under Apache) fails on Python 2.6:

$ sudo ./httpd-dev.py --install
Traceback (most recent call last):
  File "./httpd-dev.py", line 162, in <module>
  File "./httpd-dev.py", line 115, in install
    for src, dst in getlinks(opts):
  File "./httpd-dev.py", line 108, in getlinks
  File "./httpd-dev.py", line 91, in get_package_link
    site_dir = site.getsitepackages()[0]
AttributeError: 'module' object has no attribute 'getsitepackages'
Comment 1 Nick Coghlan 2012-07-22 21:13:11 EDT
Updated in git
Comment 2 Nick Coghlan 2016-09-28 23:04:23 EDT
Marking all remaining PulpDist issues as CLOSED-EOL

It doesn't make sense to leave these issues open, as PulpDist hasn't been in active development for quite some time, and restarting development would involve a significant modernisation effort that would likely render many of these requests irrelevant.

Note You need to log in before you can comment on or make changes to this bug.